Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #400

Custom rewinding step
February 06, 2014 13:11 - Maksim Kozlov

Status: Closed Start date: February 06, 2014
Priority: Minor Due date:

Assignee: % Done: 100%

Category: plugins/gtkui Estimated time: 0.00 hour

Target version: 3.5

Affects version:

Description
It would be useful if user had a possibility to set its own step size of rewinding. Now it is hardcoded in the skins and = 5000 ms.

History

#1 - February 08, 2014 22:17 - Maksim Kozlov
- File 0001-gtkui-Add-a-custom-rewinding-forwarding-step.patch added

| prepared a small patch which adds this option to the gtkui plugin. This option allows to set forward/rewind step size from 100 to 10000 ms (with
100ms inc/dec).

Patch was created on the master branch (fa4e6321cd0a4ef1944e97975d578820b6b6d527)

#2 - February 09, 2014 04:44 - John Lindgren

Thanks for the patch. It looks pretty good, but | would rather not hard-code the slider increment to 100 ms. It should not be difficult to make it the
same as the keyboard step size.

#3 - February 09, 2014 16:02 - Maksim Kozlov

Here is a second version of the patch. | made the slider increments changeable in compliance with the rewind step size (if | understood correctly the
"keyboard step size").

#4 - February 09, 2014 16:09 - Maksim Kozlov
- File v2-0001-gtkui-Add-a-custom-rewinding-forwarding-step.patch added

Oops.. patch got lost in previous comment.

#5 - February 26, 2014 03:14 - John Lindgren
- Category set to plugins/gtkui

- Status changed from New to Closed

- Target version set to 3.5

- % Done changed from 0 to 100

Looks great, thanks!

https://github.com/audacious-media-player/audacious-plugins/commit/ed3dc3b4a4 128f42c867aafebfb01a83ac84a9d5

#6 - February 26, 2014 05:43 - Maksim Kozlov

May 03, 2025 1/2



https://github.com/audacious-media-player/audacious-plugins/commit/ed3dc3b4a4128f42c867aafebfb01a83ac84a9d5

Great! This is exactly what | wanted :) Thanks

Files
0001-gtkui-Add-a-custom-rewinding-forwarding-step.patch 3.19 KB February 08, 2014 Maksim Kozlov
v2-0001-gtkui-Add-a-custom-rewinding-forwarding-step.patch 419 KB February 09, 2014 Maksim Kozlov
